Bug 398771 - Review Request: gfs-bodoni-classic-fonts - GFS Bodoni Classic oblique Greek font
Review Request: gfs-bodoni-classic-fonts - GFS Bodoni Classic oblique Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 17:14 EST by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 16:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-25 17:14:18 EST
Spec URL: http://nim.fedorapeople.org/gfs-bodoni-classic-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-bodoni-classic-fonts-20070415-1.fc9.src.rpm

Description:
Giambattista Bodoni was the most prolific Italian typecutter of the 18th
century. While he worked in the Vatican Press he was involved in the
typecutting of “exotic” languages for which catholic literature was printed.
When he established his own press in Parma he did publish many books of the
classics with his own Greek typefaces in the last quarter of the 18th century.
He was among the first European typecutters to move away from the byzantine
cursive tradition with the numerous ligatures which was the norm until then.
His Greek types influenced many subsequent designers, yet they fell in disuse
by the middle of the 19th century.

GFS presented Bodoni's original Greek typeface in the commemorative edition of
Pindar's Olympian Odes (2004), in digital version by George D. Matthiopoulos,
and is now available as free ware for the general public. In the OpenType
features, under ligatures, one may alternately use diphthongs with the accents
placed in between the characters, as Giambattista Bodoni did when setting greek
texts.
Comment 1 Parag AN(पराग) 2007-11-26 07:39:33 EST
gfs-bodoni-classic-fonts.noarch: E: description-line-too-long typecutting of
“exotic” languages for which catholic literature was printed.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

gfs-bodoni-classic-fonts.noarch: W: no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.
Comment 2 Nicolas Mailhot 2007-11-26 07:51:59 EST
(In reply to comment #1)
> gfs-bodoni-classic-fonts.noarch: E: description-line-too-long typecutting of
> “exotic” languages for which catholic literature was printed.
> Your description lines must not exceed 79 characters. If a line is exceeding
> this number, cut it to fit in two lines.

All the lines are 80 column max and have been resized using the standard "fold"
tool. Rpmlint seems:
1. to be counting bytes instead of characters, so its column count is wrong on
anything UTF-8
2. to target some non-standard 79-column terminal width. I could probably pass
after fold to reduce the few 80-column lines to 79-column lines but they won't
display any better on the console. Do you really want me to do it ?

> gfs-bodoni-classic-fonts.noarch: W: no-version-in-last-changelog
> The last changelog entry doesn't contain a version. Please insert the
> version that is coherent with the version of the package and rebuild it.

See the answer in artemisia

Thank you for your review!
Comment 3 Nicolas Mailhot 2007-11-26 13:45:59 EST
Updated version posted at the usual place to cut lines at 79 columns.

Note that rpmlint does not know how to count UTF-8 characters, so if it still
complains do check in an UTF-8 aware editor he's actually right (he isn't)
Comment 4 Parag AN(पराग) 2007-11-26 22:02:57 EST
I agree it was big work for you to ask to fix small issue but still I prefer to
follow what rpmlint says till rpmlint tool gives it as Error and not Warning.
Comment 5 Parag AN(पराग) 2007-11-26 22:18:45 EST
Dunno, still I got rpmlint output as
gfs-bodoni-classic-fonts.src: E: description-line-too-long typecutting of
“exotic” languages for which catholic literature was printed.

Otherwise Packaging looks ok.
APPROVED.
Comment 6 Parag AN(पराग) 2007-11-26 22:20:20 EST
I don't want you to waste your time again now so if you want to fix it then fix
at time of cvs import.
Comment 7 Nicolas Mailhot 2007-11-27 02:04:40 EST
rpmlint is wrong and does no know how to count UTF-8 properly. I actually
cheched the line it tags manually - it's less than 79 columns in UTF-8, which is
our default encoding.

New Package CVS Request
=======================
Package Name: gfs-bodoni-classic-fonts
Short Description: GFS Bodoni Classic oblique Greek
Owners: nicolas.mailhot@laposte.net
Branches: F-7, F-8, devel
InitialCC: fedora-fonts-bugs-list@redhat.com
Cvsextras Commits: Yes
Comment 8 Kevin Fenzi 2007-11-27 15:08:18 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.